Kerbal Space Program - Bug #10338

Tracking solar panel don't get occluded by body when near zero altitude surface
08/08/2016 04:27 PM - ShotgunNinja

Status: Closed Start date: 08/08/2016
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version: 1.2.0

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

When a tracking solar panel distance to the zero altitude surface is below a certain (small) value, the body is not considered for sun
occlusion anymore. Resulting in full sun exposure even on the dark.

To replicate:

- add a tracking solar panel (eg: gigantor) to the bottom of a vessel

- land on some place that is near zero altitude (eg: minmus flatlands)
- see the sun exposure being 1.0 when sun is occluded by the body

History

#1 - 08/08/2016 05:05 PM - ShotgunNinja

Screenshot of the issue:

panel_issue_near_zero_altitude_surface.png

#2 - 08/11/2016 12:46 PM - TriggerAu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Seems to be happening under 1200m ish of height on minmus at least - cant replicate it on Kerbin, definitely confirmed though

#4 - 10/13/2016 12:05 PM - Squelch
- Status changed from Confirmed to Ready to Test
- Target version set to 1.2.0

- % Done changed from 10 to 80

This has been addressed and fixed in KSP 1.2

#5 - 11/04/2016 10:07 AM - ShotgunNinja
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

| can confirm this is now working as expected.

#6 - 11/04/2016 07:38 PM - JPLRepo

- Status changed from Resolved to Closed
